Bug 25262 - [19.05.x] Cash register report truncates manual_inv values
Summary: [19.05.x] Cash register report truncates manual_inv values
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-23 10:36 UTC by Nick Clemens
Modified: 2020-05-01 21:18 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.11


Attachments
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown (1.75 KB, patch)
2020-04-23 10:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown (2.35 KB, patch)
2020-05-01 12:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown (2.41 KB, patch)
2020-05-01 15:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown (2.46 KB, patch)
2020-05-01 21:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-23 10:36:11 UTC
In 19.05 we have an odd situation. Accountlines accounttype is now VARCHAR(80)

In the past it was 5, so in the "Cash register" report we truncated that MANUAL_INV values in our dropdown.

At the moment the DB will save a long value, but only provide the truncated values for searching, and so transactions will not show up
Comment 1 Nick Clemens 2020-04-23 10:40:18 UTC
Created attachment 103561 [details] [review]
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown

There is an issue in that historic values will still be truncated, but recent values are not.
I feel the cash register report should reflect recent transactions over historic, and the historic are a data cleanup issue

To test:
1 - Add a MANUAL_INV value with more than 5 characters 'INCREDIBLE_HULK'
2 - Add a manual invoice to a patron's acccount using this value
3 - Note the full code displays in patrons account
4 - Browse to Reports->Cash register
5 - Search for today's date, the value you createed, and all libraries
6 - No results returned
7 - Apply patch
8 - Repeat 5
9 - The transaction shows
Comment 2 Lucas Gass 2020-04-30 22:56:05 UTC
When I apply this patch and create a manual invoice called 'INCREDIBLE_HULK' it will not show up in the Cash Register report when I narrow the search to Transaction Type = "INCREDIBLE_HULK".

If I pay it and then do the search I see the Payment transaction. 


Also, after I run cash_register_stats.pl the dropdown defaults back to 'All payments to the library'.
Comment 3 Nick Clemens 2020-05-01 12:18:46 UTC
Created attachment 104082 [details] [review]
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown

There is an issue in that historic values will still be truncated, but recent values are not.
I feel the cash register report should reflect recent transactions over historic, and the historic are a data cleanup issue

To test:
1 - Add a MANUAL_INV value with more than 5 characters 'INCREDIBLE_HULK'
2 - Add a manual invoice to a patron's acccount using this value
3 - Note the full code displays in patrons account
4 - Browse to Reports->Cash register
5 - Search for today's date, the value you createed, and all libraries
6 - No results returned
7 - Apply patch
8 - Repeat 5
9 - The transaction shows
Comment 4 Lucas Gass 2020-05-01 15:25:28 UTC
Created attachment 104115 [details] [review]
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown

There is an issue in that historic values will still be truncated, but recent values are not.
I feel the cash register report should reflect recent transactions over historic, and the historic are a data cleanup issue

To test:
1 - Add a MANUAL_INV value with more than 5 characters 'INCREDIBLE_HULK'
2 - Add a manual invoice to a patron's acccount using this value
3 - Note the full code displays in patrons account
4 - Browse to Reports->Cash register
5 - Search for today's date, the value you createed, and all libraries
6 - No results returned
7 - Apply patch
8 - Repeat 5
9 - The transaction shows

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Katrin Fischer 2020-05-01 21:04:26 UTC
Created attachment 104137 [details] [review]
Bug 25262: [19.05.x] Do not truncate MANUAL_INV in dropdown

There is an issue in that historic values will still be truncated, but recent values are not.
I feel the cash register report should reflect recent transactions over historic, and the historic are a data cleanup issue

To test:
1 - Add a MANUAL_INV value with more than 5 characters 'INCREDIBLE_HULK'
2 - Add a manual invoice to a patron's acccount using this value
3 - Note the full code displays in patrons account
4 - Browse to Reports->Cash register
5 - Search for today's date, the value you createed, and all libraries
6 - No results returned
7 - Apply patch
8 - Repeat 5
9 - The transaction shows

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Lucas Gass 2020-05-01 21:18:20 UTC
backported to 19.05.x for 19.05.11